Data Fields

# arm_biquad_casd_df1_inst_q31 Struct Reference

Instance structure for the Q31 Biquad cascade filter. More...

`#include <arm_math.h>`

## Data Fields
uint32_t | numStages
q31_t * | pState
q31_t * | pCoeffs
uint8_t | postShift

## Detailed Description

Instance structure for the Q31 Biquad cascade filter.

Examples:

  arm_graphic_equalizer_example_q31.c.

Definition at line 1183 of file arm_math.h.

## Field Documentation

uint32_t arm_biquad_casd_df1_inst_q31::numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

Definition at line 1185 of file arm_math.h.

q31_t* arm_biquad_casd_df1_inst_q31::pState

Points to the array of state coefficients. The array is of length 4*numStages.

Definition at line 1186 of file arm_math.h.

q31_t* arm_biquad_casd_df1_inst_q31::pCoeffs

Points to the array of coefficients. The array is of length 5*numStages.

Definition at line 1187 of file arm_math.h.

uint8_t arm_biquad_casd_df1_inst_q31::postShift

Additional shift, in bits, applied to each output sample.

Definition at line 1188 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines